(function(exports) {
    var recordAPI = {
	//根据患者获取团队信息
		teamInfo: function(data) {
			return httpRequest.get("doctor/family_contract/patient_doctor_teams", {data: data})
		},
		//获取医生信息
		docInfo:function(data){
			return httpRequest.get("doctor/baseinfo", {data: data})
		},
		//获取患者信息
		patientInfo:function(data) {
			return httpRequest.get("doctor/patient_label_info/patient", {data: data})
		},
		
	//咨询列表
		consultList: function(data) {
			return httpRequest.post("doctor/consult/list_by_team", {data: data})
		},
		//获取咨询数据
        getList: function(data){
            return httpRequest.get('doctor/consult/loglist',{data:data});
        },
        getMembers: function(sessionId){
            return httpRequest.imHttpGet('/sessions/'+sessionId+'/participants');
        },
        //取当前医生的sessionId
        getSessionId:function(data){
        	return httpRequest.get('im_new/getTopic',{data:data});
        },
        
	//指导列表
		guidanceList: function(data) {
			return httpRequest.post("doctor/health/guidance/list_by_team", {data: data})
		},
		guidanceDetail: function(data) {
			return httpRequest.post("doctor/health/guidance/id", {data: data})
		},
	//教育列表
		educationList:function(data){
			return httpRequest.post("doctor/jkEdu/article/PC/fetchPatientArticlePushedList", {data: data})
		},
		educationDetail:function(data){
			return httpRequest.get("third/jkEdu/Article/getArticalById", {data: data})
		},
		// 字典 优先级
		educationDictionary:function(data){
			return httpRequest.get("third/jkEdu/Article/getConfigDicShoList", {data: data})
		},
	//代预约
		toBeReservedList:function(data){
			return httpRequest.post("third/guahao/GetPatientReservationList", {data: data})
		},
		reservedDetail:function(data){
			return httpRequest.post("third/guahao/GetPatientReservation", {data: data})
		},
	//获取统计
		getStatistics:function(data){
			return httpRequest.post("doctor/patient/service/statistics", {data: data})
		},
	//随访列表
		followUpList:function(data){
			return httpRequest.post("doctor/followup/list_by_team", {data: data})
		},
		//获取随访内容
        getFollowup: function(data){
            return httpRequest.get("doctor/followup/getFollowup", {data: data})
        },
        getFollowupProjectData: function(data){
            return httpRequest.get("doctor/followup/getFollowupProjectData", {data: data})
        },
        //获取药品信息
        getFollowupDrugs: function(data){
            return httpRequest.get("doctor/followup/drugs/getFollowupDrugs", {data: data})
        },
        //随访医生
		getFollowUpDoc: function(data){
            return httpRequest.get("doctor/patient_group/sign_doctors", {data: data})
        },
        //随访状态
        getFollowUpStatue: function(data){
            return httpRequest.get("common/getDictByDictName", {data: data})
        },
        //修改随访结果
         ModifyFollowupResult: function(data){
            return httpRequest.post("doctor/followup/saveFollowupProjectData", {data: data})
        },
        //保存药品(两个接口)
		saveDrugs: function(data){
            return httpRequest.post("doctor/followup/drugs/saveFollowupDrugs", {data: data})
        },
        //保存服药规律性
		saveDrugsLaw: function(data){
	            return httpRequest.post("doctor/followup/saveFollowupProjectData", {data: data})
			},
		// 完成随访
		finishFollowup: function(data){
			return httpRequest.post("doctor/followup/finishFollowup", {data: data})
		},
		// 登记随访
		startFollowup: function (data) {
			return httpRequest.post("doctor/followup/startFollowup", { data: data })
		},


}
    exports.recordAPI = recordAPI;
})(window)